%global rev .741
%global fullversion %{version}%{?rev}

Name:          openid4java
Version:       0.9.8
Release:       4%{?dist}
Summary:       This library allows you to OpenID-enable your Java web-app
License:       ASL 2.0
URL:           http://code.google.com/p/openid4java/
Source0:       http://openid4java.googlecode.com/files/openid4java-%{fullversion}.tar.gz
# build fix for ehcache-core >= 2.x
Patch0:        %{name}-0.9.6.662-ehcache-core.patch

BuildRequires: java-devel

BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(log4j:log4j)
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(net.sourceforge.nekohtml:nekohtml)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-jdbc)
BuildRequires: mvn(org.springframework:spring-tx)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: mvn(org.apache.tomcat:tomcat-jsp-api)
BuildRequires: mvn(xerces:xercesImpl)

# test deps
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(net.sf.cglib:cglib)
BuildRequires: mvn(hsqldb:hsqldb:1)
BuildRequires: mvn(jdom:jdom)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j)
BuildRequires: xml-commons-apis

BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: properties-maven-plugin

BuildArch:     noarch

%description
OpenID4Java library offers support for OpenID-enabling a
consumer site or implementing an OpenID Provider server.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{fullversion}
%patch0 -p0

find -name '*.class' -delete
find -name '*.jar' -delete
rm -rf openid4java.ai
rm -rf apidoc/*

%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
#%%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :rat-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_remove_plugin :versions-maven-plugin
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-javadoc-plugin']"

%pom_remove_dep xml-security:xmlsec

%pom_add_dep javax.inject:javax.inject
%pom_add_dep commons-codec:commons-codec
%pom_add_dep org.apache.httpcomponents:httpcore
%pom_add_dep org.springframework:spring-core
%pom_add_dep org.springframework:spring-beans
%pom_add_dep org.springframework:spring-tx
%pom_remove_dep javax.servlet:servlet-api
%pom_add_dep org.apache.tomcat:tomcat-servlet-api
%pom_add_dep org.apache.tomcat:tomcat-jsp-api

# require org.openxri
# org.openxri:openxri-syntax
# org.openxri:openxri-client
rm -r src/org/openid4java/discovery/xri/LocalXriResolver.java

# require: org.eclipse.higgins
# org.eclipse.higgins:higgins-configuration-api
# org.eclipse.higgins:higgins-sts-api
# org.eclipse.higgins:higgins-sts-common
# org.eclipse.higgins:higgins-sts-server-token-handler
# org.eclipse.higgins:higgins-sts-spi
# org.apache.ws.commons.axiom:axiom-api
rm -r src/org/openid4java/infocard \
  test/src/org/openid4java/infocard

# unavailable test deps
%pom_remove_dep jetty:jetty
%pom_remove_dep jetty:jetty-util
%pom_remove_dep net.sourceforge.jwebunit:jwebunit-htmlunit-plugin
rm -r test/src/org/openid4java/discovery/yadis/YadisResolverTest.java \
  test/src/org/openid4java/samples/ConsumerAndProviderTest.java \
  test/src/org/openid4java/consumer/ConsumerManagerTest.java

%pom_remove_dep net.sf.ehcache:ehcache
%pom_add_dep net.sf.ehcache:ehcache-core

# this test fails
rm -r test/src/org/openid4java/consumer/EhcacheNonceVerifierTest.java

%pom_add_dep commons-io:commons-io::test
%pom_add_dep net.sf.cglib:cglib::test

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId='hsqldb']/pom:version" "1"

%build

%mvn_file :%{name} %{name}
%mvn_file :%{name} %{name}-nodeps
%mvn_alias :%{name} "org.openid4java:openid4java-nodeps"
# @ random tests fails
# e.g. Failed tests:   testNonceCleanup(org.openid4java.consumer.JdbcNonceVerifierTest): expected:<0> but was:<3>
%mvn_build

rm -rf target/site/apidocs/javadoc.sh

%install
%mvn_install 

%files -f .mfiles
%doc CHANGELOG LICENSE MAINTAINERS README TODO VERSION

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Tue Aug 06 2013 gil cattaneo <puntogil@libero.it> 0.9.8-4
- add aliases

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 0.9.8-2
- switch to XMvn
- minor changes to adapt to current guideline

* Fri May 31 2013 gil cattaneo <puntogil@libero.it> 0.9.8-1
- update to 0.9.8.741

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 0.9.7-1
- update to 0.9.7.720

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 0.9.6-1
- initial rpm